%global momorel 1

Summary: GNOME Structured File library
Name: libgsf

Version: 1.9.0
Release: %{momorel}m
Group: System Environment/Libraries
License: GPL
URL: http://www.gnome.org/gnumeric/

%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/1.9/%{name}-%{version}.tar.bz2 a6e784925c1aee055af60d635aa6733a
# http://www.gentoo.org/cgi-bin/viewcvs.cgi/gnome-extra/libgsf/files/libgsf-1.8.2-gtkdoc_fix.patch
Patch0: libgsf-1.8.2-gtkdoc_fix.patch

Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gnome-vfs-devel >= 2.6.0
BuildPrereq: libbonobo-devel >= 2.6.0
BuildPrereq: libxml2-devel >= 2.6.8

%description
A library for reading and writing structured files (eg MS OLE and Zip)

%package devel
Summary: Support files necessary to compile applications with libgsf.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gnome-vfs-devel
Requires: libbonobo-devel

%description devel
Libraries, headers, and support files necessary to compile applications using libgsf.

%prep
%setup -q
%patch0 -p1

%build
aclocal-1.7
autoheader-2.58
automake-1.7
autoconf-2.58
%configure
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%makeinstall
cp -a %{buildroot}%{_datadir}/gtk-doc installed-doc
rm -rf %{buildroot}%{_datadir}/gtk-doc

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING README
%{_libdir}/lib*.so.*

%files devel
%defattr(644,root,root,755)
%doc installed-doc/html
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/pkgconfig/*.pc
%{_includedir}/libgsf-1/*

%changelog
* Tue May 11 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.9.0-1m)
- update to 1.9.0

* Thu Apr 22 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.8.2-5m)
- GNOME 2.6 Desktop
- adjustment BuildPreReq

* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.8.2-4m)
- rebuild against for libxml2-2.6.8

* Mon Mar 22 2004 Toru Hoshina <t@momonga-linux.org>
- (1.8.2-3m)
- revised spec for enabling rpm 4.2.

* Tue Oct 28 2003 Kenta MURATA <muraken2@nifty.com>
- (1.8.2-2m)
- pretty spec file.

* Fri Sep 19 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (1.8.2-2m)
- change URL

* Tue Sep 16 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (1.8.2-1m)
- version 1.8.2

* Mon Jun 09 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.8.1-1m)
- version 1.8.1

* Mon May 12 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.8.0-1m)
- version 1.8.0

* Mon Mar 10 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.7.2-3m)
  rebuild against openssl 0.9.7a

* Sun Mar  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.2-2m)
- fix URL

* Wed Jan 29 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.7.2-1m)
- version 1.7.2

* Fri Dec 27 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.6.0-1m)
- version 1.6.0

* Mon Oct 28 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.5.0-1m)
- version 1.5.0

* Fri Oct  4 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.4.0-1m)
- version 1.4.0

* Mon Aug 26 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3.0-1m)
- version 1.3.0

* Tue Aug 13 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.2.0-1m)
- version 1.2.0

* Mon Aug 05 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.0-3m)
- rebuild against for glib-2.0.6
- rebuild against for gtk+-2.0.6
- rebuild against for pango-1.0.4
- rebuild against for atk-1.0.3

* Mon Jul 22 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.0-2m)
- fix file list

* Mon Jul 22 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.0-1m)
- create
